package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.UserResource;

/**
 * 用户订阅资源Mapper接口
 * 
 * @author jy
 * @date 2022-12-07
 */
public interface UserResourceMapper 
{
    /**
     * 查询用户订阅资源
     * 
     * @param id 用户订阅资源主键
     * @return 用户订阅资源
     */
    public UserResource selectUserResourceById(Long id);

    /**
     * 查询用户订阅资源列表
     * 
     * @param userResource 用户订阅资源
     * @return 用户订阅资源集合
     */
    public List<UserResource> selectUserResourceList(UserResource userResource);

    /**
     * 新增用户订阅资源
     * 
     * @param userResource 用户订阅资源
     * @return 结果
     */
    public int insertUserResource(UserResource userResource);

    /**
     * 修改用户订阅资源
     * 
     * @param userResource 用户订阅资源
     * @return 结果
     */
    public int updateUserResource(UserResource userResource);

    /**
     * 删除用户订阅资源
     * 
     * @param id 用户订阅资源主键
     * @return 结果
     */
    public int deleteUserResourceById(Long id);

    /**
     * 批量删除用户订阅资源
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserResourceByIds(Long[] ids);
}
